UPDMAP(1)

NAME
updmap - manage TeX font maps, per-user
updmap-sys - manage TeX font maps, system-wide

SYNOPSIS
updmap [OPTION] ... [COMMAND]
updmap-sys [OPTION] ... [COMMAND]

DESCRIPTION
updmap (TeX Live) version $Id: updmap.pl 23034 2011-06-17 23:44:39Z karl $

Update the default font map files used by pdftex, dvips, and dvipdfm(x), as determined by the configuration file updmap.cfg (the one returned by running "kpsewhich updmap.cfg").

Among other things, these map files are used to determine which fonts should be used as bitmaps and which as outlines, and to determine which fonts are included in the output.

By default, the TeX filename database (ls-R) is also updated.

OPTIONS

--cnffile FILE
    read FILE for the updmap configuration

--dvipsoutputdir DIR
    specify output directory (dvips syntax)

--pdftexoutputdir DIR
    specify output directory (pdftex syntax)

--outputdir DIR
    specify output directory (for all files)

--copy
    cp generic files rather than using symlinks

--force
    recreate files even if config hasn't changed

--nomkmap
    do not recreate map files

--nohash
    do not run texhash

-n, --dry-run
    only show the configuration, no output

--quiet, --silent
    reduce verbosity

  Commands:

--help
    show this message and exit

--version
    show version information and exit

--showoptions ITEM
    show alternatives for options

--setoption OPTION VALUE
    set option, where OPTION is one of: LW35, dvipsPreferOutline, dvipsDownloadBase35, or pdftexDownloadBase14

--setoption OPTION=VALUE
    as above, just different syntax

--enable MAPTYPE MAPFILE
    add "MAPTYPE MAPFILE" to updmap.cfg, where MAPTYPE is either Map or MixedMap

--enable Map=MAPFILE
    add "Map MAPFILE" to updmap.cfg

--enable MixedMap=MAPFILE add "MixedMap MAPFILE" to updmap.cfg

--disable MAPFILE
    disable MAPFILE, whether Map or MixedMap

--listmaps
    list all active and inactive maps

--listavailablemaps
    same as --listmaps, but without unavailable map files

--syncwithtrees
    disable unavailable map files in updmap.cfg

Explanation of the map types: the (only) difference between Map and MixedMap is that MixedMap entries are not added to psfonts_pk.map. The purpose is to help users with printers that render Type 1 outline fonts worse than mode-tuned Type 1 bitmap fonts. So, MixedMap is used for fonts that are available as both Type 1 and Metafont.

Explanation of the --setoption possibilities:

dvipsPreferOutline
    true|false (default true)

    Whether dvips uses bitmaps or outlines, when both are available.

dvipsDownloadBase35
    true|false (default false)

    Whether dvips includes the standard 35 PostScript fonts in its output.

pdftexDownloadBase14
    true|false (default true)

    Whether pdftex includes the standard 14 PDF fonts in its output.

LW35
    URWkb|URW|ADOBEkb|ADOBE (default URWkb)

    Adapt the font and file names of the standard 35 PostScript fonts. URWkb URW fonts with "berry" filenames (e.g. uhvbo8ac.pfb) URW URW fonts with "vendor" filenames (e.g. n019064l.pfb) ADOBEkb Adobe fonts with "berry" filenames (e.g. phvbo8an.pfb) ADOBE Adobe fonts with "vendor" filenames (e.g. hvnbo___.pfb)

    These options are only read and acted on by updmap; dvips, pdftex, etc., do not know anything about them. They work by changing the default map file which the programs read, so they can be overridden by specifying command-line options or configuration files to the programs, as explained at the beginning of updmap.cfg.

ENVIRONMENT

Explanation of trees and files normally used:

    updmap both reads and writes TEXMFCONFIG/web2c/updmap.cfg, according to the actions specified.

    updmap writes the map files for dvips (psfonts.map) and pdftex (pdftex.map) to the TEXMFVAR/fonts/map/updmap/{dvips,pdftex}/ directories.

    The log file is written to TEXMFVAR/web2c/updmap.log.

    When updmap-sys is run, TEXMFSYSCONFIG and TEXMFSYSVAR are used instead. This is the only difference between updmap-sys and updmap.

    Other locations can be used if overridden on the command line, or these trees don't exist, or you are not using the original TeX Live.

    To see the precise locations of the various files that will be read and written, give the -n option (or read the man page).

EXAMPLES

For step-by-step instructions on making new fonts known to TeX, read http://tug.org/fonts/fontinstall.html. For even more terse instructions, read the beginning of updmap.cfg.

FILES
Configuration and input files:

updmap.cfg
    Main configuration file. In texmf/web2c by default, but may be located elsewhere depending on your distribution.

dvips35.map
    Map file for standard 35 PostScript fonts for use with dvips(1).

pdftex35.map
    Map file for standard 35 PostScript fonts for use with pdftex(1).

ps2pk35.map
    Map file for standard 35 PostScript fonts for use with ps2pk(1).

Output files:

psfonts.map
    For dvips(1). Same as psfonts_t1.map if option dvipsPreferOutline active, else as psfonts_pk.map.

psfonts_pk.map
    For dvips(1). Without information from MixedMap files. (Setting of dvipsPreferOutline ignored.)

psfonts_t1.map
    For dvips(1). With information from MixedMap files. (Setting of dvipsPreferOutline ignored.)

download35.map
    For dvips(1). Always downloads the standard 35 fonts. (Setting of dvipsDownloadBase35 ignored.)

builtin35.map
    For dvips(1). Never downloads the standard 35 fonts. (Setting of dvipsDownloadBase35 ignored.)

pdftex.map
    For pdftex(1). Same as pdftex_dl14.map if option pdftexDownloadBase14 active, else as pdftex_ndl14.map.

pdftex_dl14.map
    For pdftex(1). Always downloads the standard 14 fonts.

pdftex_ndl14.map
    For pdftex(1). Never downloads the standard 14 fonts.

ps2pk.map
    Similar to psfonts.map file, but forces all fonts to be downloaded, so this map file can be used with xdvi(1) and ps2pk(1).

Configuration files for dvips(1):

config.builtin35
    Loads builtin35.map instead of psfonts.map.

config.download35
    Loads download35.map instead of psfonts.map.

config.outline
    Loads psfonts_t1.map instead of psfonts.map.

config.pdf
    Loads psfonts_t1.map instead of psfonts.map and has additional optimizations for PDF generation.

config.pk
    Loads psfonts_pk.map instead of psfonts.map.

config.www
    Loads psfonts_t1.map instead of psfonts.map. (For compatibility with old versions.)

config.gstopk
    Loads psfonts_t1.map instead of psfonts.map.

REPORTING BUGS
Report bugs to: tex-k@tug.org
TeX Live home page: <http://tug.org/texlive/>